#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021-2024 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <cstdint>

namespace mbst { namespace ImportExport { namespace Keys {

enum CustomStyle: std::uint8_t {
    Name = 0, // type: string
    Colour = 1, // type: Magnum::Color4
    Metallic = 2, // type: float
    Gloss = 3, // type: float
    Glow = 4, // type: bool
    PatternId = 5, // type: std::int32_t
    PatternOpacity = 6, // type: float
    PatternOffset = 7, // type: Magnum::Vector2
    PatternRotation = 8, // type: float
    PatternScale = 9, // type: float
};

}}}
